function Initialize(Plugin)
	PLUGIN = Plugin
	
	Plugin:SetName("UnloadChunks")
	Plugin:SetVersion(1)
	
	PluginManager = cRoot:Get():GetPluginManager()

       PluginManager:BindCommand("/unloadchunks",      "chunks.unload",      HandleUnloadCommand,      " - Save all chunks and unload unused chunks");

	LOG( "Initialized " .. Plugin:GetName() .. " v." .. Plugin:GetVersion() )
	return true
end	


function HandleUnloadCommand() 
       local loopWorlds = function ( World )
       World:SaveAllChunks()
       World:UnloadUnusedChunks()
       end
       cRoot:Get():ForEachWorld(loopWorlds)
       return true
end